#!/usr/bin/gnuplot

R_S = 7.e8

T_0 = 30495.
R_in = 6.0*R_S
alpha_T = -1.010
rho_0 = 2.43e-6
alpha_rho = -2.45

T(R) = T_0*(R/R_in)**alpha_T
rho(R) = rho_0*(R/R_in)**alpha_rho

########################################################################

set term x11

set xl "R [R_S]"
set yl "T [K]"
set y2l "rho [g cm^-3]"

set xr [R_in/R_S:30]
set yr [0:]
set y2r [0:]
set ytics nomirror
set y2tics

p T(x*R_S),\
  rho(x*R_S) ax x1y2
pa -1


